#include	"stdThread.h"

//-----------------------------------------------------------------
// Function
//		dwNow と dwPast の間の経過を求める
// Parameter
//		なし
// Return
//		経過
//-----------------------------------------------------------------
DWORD GetdwInterval(DWORD dwNow, DWORD dwPast)
{
	DWORD	dwInterval;

	if(dwNow >= dwPast)
		dwInterval = dwNow - dwPast;
	else
		dwInterval = dwNow + ((DWORD)(-1) - dwPast) + 1;
	return(dwInterval);
}

//-----------------------------------------------------------------
// Function
//		システムタイム(msec)を取得する
// Parameter
//		なし
// Return
//		なし
//-----------------------------------------------------------------
DWORD timeGetTime()
{
	DWORD			dwTime = 0;
	struct timeval 	tv;

	if(gettimeofday(&tv, NULL) == -1) 
		goto L_END;
	dwTime = (DWORD)(tv.tv_sec * 1000 + tv.tv_usec / 1000);
L_END:
	return(dwTime);
}


